dofile('data/Scripts/Scenes/Common.lua');
dofile('data/Scripts/Scenes/Animations/09_AtAbandonedShip_Animations.lua');

------------------------------------------------------------------------------
--
function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

    RootZoomZone = CreateZoomZone('RootZoomZone', nil, 
                                   nil, 0.0, 
                                   nil, 0.0,
							{'RootBackground',

							 'hatchClosed',
							 'hatchOpened',
							 'desk',
							 'cupboardDoorOpened',

							 'actZoneChest',
							 'actZoneCupboard',
							 'actZoneHold',
							 'actZoneHatchLock',

							 'books',
							 'bottle',
							 'box',
							 'camomile',
							 'candle',
--							 'chair',
							 'cup',
							 'digit',
							 'dragon',
							 'drawing',
							 'easel',
							 'eye',
							 'feather',
--							 'flowers',
							 'garlic',
							 'gloves',
							 'grapes',
							 'handbell',
							 'hat',
							 'heart',
							 'inkpot',
							 'largeFan',
							 'leaf',
							 'lemon',
							 'paintBrush',
							 'palette',
							 'plant',
							 'rabbit',
							 'rose',
							 'seashell1',
							 'seashell',
							 'seaStar',
							 'ship',
							 'skull',
							 'socks',
							 'suitcase',
							 'tassel',
							 'telescope',
							 'tomato',
							 'umbrella',
							 'waterCan'},

							{'hatchOpened',
							 'cupboardDoorOpened'});

    CupboardZoomZone = CreateZoomZone('CupboardZoomZone', RootZoomZone, 
                                   'actZoneCupboard', 0.0, 
                                   nil, 0.0,
							{'ZoomCupboardBackground',
							 'Key'},

							{});

    ChestZoomZone = CreateZoomZone('ChestZoomZone', RootZoomZone, 
                                   'actZoneChest', 0.0, 
                                   nil, 0.0,
							{'ZoomChestBackground',
							 'Crowbar',
							 'LayerOverCrowbar'},

							{});

    HoldZoomZone = CreateZoomZone('HoldZoomZone', RootZoomZone, 
                                   'actZoneHold', 90.0/180.0 * M_PI, 
                                   'navigationZoneHold', -155.0/180.0 * M_PI,
							{'ZoomHoldBackground',
							 'navigationZoneHold',

							 'bells',
							 'books1',
							 'bowTie',
							 'box1',
							 'brooch',
							 'broom',
							 'carrot',
							 'coffeePot',
							 'crab',
							 'dragon1',
							 'fan',
							 'flowers1',
							 'fork',
							 'frame',
							 'hare',
							 'hat1',
							 'jackOLantern',
							 'knife',
							 'letter',
							 'mask',
							 'note',
							 'plant1',
							 'rollingPin',
							 'rose1',
							 'sausage',
							 'shrimp',
							 'ship1',
							 'star',
							 'tankard',
							 'teapot',
							 'teaStrainer',
							 'tomato1',
							 'trumpet',
							 'twig',
							 'vessel',
							 'watch',

							 'LayerOverBroom',
							 'LayerOverDragon',
							 'LayerOverFlask',
							 'LayerOverFrame',
							 'LayerOverShip',
							 'LayerOverValve',

							 'shutter',
							 'bigGreenVesselFluidAnimation',
							 'blueBulbEmpty',
							 'blueBulbFillingAnimation',
							 'BlueFlask',
							 'GreenFlask',
							 'greenBulbWithWater',
							 'greenBulbFillingAnimation',
							 'blueValveAnimation',
							 'greenValveAnimation',
							 'potFireStart',
							 'potFireCyclic',
							 'reactionAnimation',
							 'Valve',
							 'Valve_onPlace',
							 'YellowFlask',
							 'finalBulbEmpty',
							 'finalBulbBlue',
							 'finalBulbGreen',
							 'actZoneFlask',
							 'actZoneBlueValve',
							 'actZoneGreenValve',
							 'actZoneRedValve',
							 'actZoneFurnace'},

							{});

if (restoringFromSave == false) then
    AddRandomTasks(true, 2 * MISC_TASK_COUNT_24,
		CreateTask('books'),
		CreateTask('bottle'),
		CreateTask('box'),
		CreateTask('camomile'),
		CreateTask('candle'),
		CreateTask('cup'),
		CreateTask('digit'),
		CreateTask('dragon'),
		CreateTask('drawing'),
--		CreateTask('easel'),
		CreateTask('eye'),
		CreateTask('feather'),
		CreateTask('garlic'),
		CreateTask('gloves'),
		CreateTask('grapes'),
		CreateTask('handbell'),
		CreateTask('hat'),
		CreateTask('heart'),
		CreateTask('inkpot'),
		CreateTask('largeFan'),
		CreateTask('leaf'),
		CreateTask('lemon'),
		CreateTask('paintBrush'),
		CreateTask('palette'),
		CreateTask('plant'),
		CreateTask('rabbit'),
		CreateTask('rose'),
		CreateTask('seashell1'),
		CreateTask('seashell'),
		CreateTask('seaStar'),
		CreateTask('ship'),
		CreateTask('skull'),
		CreateTask('socks'),
		CreateTask('suitcase'),
		CreateTask('tassel'),
		CreateTask('telescope'),
		CreateTask('tomato'),
		CreateTask('umbrella'),
		CreateTask('waterCan'),

		CreateTask('bells'),
		CreateTask('books1'),
		CreateTask('bowTie'),
		CreateTask('box1'),
		CreateTask('brooch'),
		CreateTask('broom'),
		CreateTask('carrot'),
		CreateTask('coffeePot'),
		CreateTask('crab'),
		CreateTask('dragon1'),
		CreateTask('fan'),
		CreateTask('flowers1'),
		CreateTask('fork'),
		CreateTask('frame'),
		CreateTask('hare'),
		CreateTask('hat1'),
		CreateTask('jackOLantern'),
		CreateTask('knife'),
		CreateTask('letter'),
		CreateTask('mask'),
		CreateTask('note'),
		CreateTask('plant1'),
		CreateTask('rollingPin'),
		CreateTask('rose1'),
		CreateTask('sausage'),
		CreateTask('shrimp'),
		CreateTask('ship1'),
		CreateTask('star'),
		CreateTask('tankard'),
		CreateTask('teapot'),
		CreateTask('teaStrainer'),
		CreateTask('tomato1'),
		CreateTask('trumpet'),
		CreateTask('twig'),
		CreateTask('vessel'),
		CreateTask('watch')
	);

    playField:GetLevelScreen():AddTaskSafe(CreateTask('Key'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Crowbar'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('YellowFlask'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('BlueFlask'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('GreenFlask'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Valve'));
end

	CreateToolMap(	{'Key', 		'actZoneChest'},
					{'Crowbar',   	'actZoneHatchLock'},
					{'YellowFlask',	'actZoneFurnace'},
					{'BlueFlask',   'actZoneFlask'},
					{'GreenFlask',  'actZoneFlask'},
					{'Valve',		'actZoneRedValve'});

	SetIconForGameObject(playField:GetObject('books'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/books_icon.png');
	SetIconForGameObject(playField:GetObject('bottle'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/bottle_icon.png');
	SetIconForGameObject(playField:GetObject('box'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/box_icon.png');
	SetIconForGameObject(playField:GetObject('camomile'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/camomile_icon.png');
	SetIconForGameObject(playField:GetObject('candle'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/candle_icon.png');
	SetIconForGameObject(playField:GetObject('cup'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/cup_icon.png');
	SetIconForGameObject(playField:GetObject('digit'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/digit_icon.png');
	SetIconForGameObject(playField:GetObject('dragon'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/dragon_icon.png');
	SetIconForGameObject(playField:GetObject('drawing'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/drawing_icon.png');
	SetIconForGameObject(playField:GetObject('easel'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/easel_icon.png');
	SetIconForGameObject(playField:GetObject('eye'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/eye_icon.png');
	SetIconForGameObject(playField:GetObject('feather'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/feather_icon.png');
	SetIconForGameObject(playField:GetObject('garlic'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/garlic_icon.png');
	SetIconForGameObject(playField:GetObject('gloves'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/gloves_icon.png');
	SetIconForGameObject(playField:GetObject('grapes'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/grapes_icon.png');
	SetIconForGameObject(playField:GetObject('handbell'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/handbell_icon.png');
	SetIconForGameObject(playField:GetObject('hat'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/hat_icon.png');
	SetIconForGameObject(playField:GetObject('heart'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/heart_icon.png');
	SetIconForGameObject(playField:GetObject('inkpot'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/inkpot_icon.png');
	SetIconForGameObject(playField:GetObject('largeFan'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/largeFan_icon.png');
	SetIconForGameObject(playField:GetObject('leaf'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/leaf_icon.png');
	SetIconForGameObject(playField:GetObject('lemon'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/lemon_icon.png');
	SetIconForGameObject(playField:GetObject('paintBrush'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/paintBrush_icon.png');
	SetIconForGameObject(playField:GetObject('palette'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/palette_icon.png');
	SetIconForGameObject(playField:GetObject('plant'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/plant_icon.png');
	SetIconForGameObject(playField:GetObject('rabbit'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/rabbit_icon.png');
	SetIconForGameObject(playField:GetObject('rose'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/rose_icon.png');
	SetIconForGameObject(playField:GetObject('seashell1'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seashell1_icon.png');
	SetIconForGameObject(playField:GetObject('seashell'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seashell_icon.png');
	SetIconForGameObject(playField:GetObject('seaStar'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seaStar_icon.png');
	SetIconForGameObject(playField:GetObject('ship'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/ship_icon.png');
	SetIconForGameObject(playField:GetObject('skull'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/skull_icon.png');
	SetIconForGameObject(playField:GetObject('socks'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/socks_icon.png');
	SetIconForGameObject(playField:GetObject('suitcase'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/suitcase_icon.png');
	SetIconForGameObject(playField:GetObject('tassel'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/tassel_icon.png');
	SetIconForGameObject(playField:GetObject('telescope'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/telescope_icon.png');
	SetIconForGameObject(playField:GetObject('tomato'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/tomato_icon.png');
	SetIconForGameObject(playField:GetObject('umbrella'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/umbrella_icon.png');
	SetIconForGameObject(playField:GetObject('waterCan'),	'data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/waterCan_icon.png');

	SetIconForGameObject(playField:GetObject('bells'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/bells_icon.png');
	SetIconForGameObject(playField:GetObject('books1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/books_icon.png');
	SetIconForGameObject(playField:GetObject('bowTie'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/bowTie_icon.png');
	SetIconForGameObject(playField:GetObject('box1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/box_icon.png');
	SetIconForGameObject(playField:GetObject('brooch'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/brooch_icon.png');
	SetIconForGameObject(playField:GetObject('broom'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/broom_icon.png');
	SetIconForGameObject(playField:GetObject('carrot'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/carrot_icon.png');
	SetIconForGameObject(playField:GetObject('coffeePot'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/coffeePot_icon.png');
	SetIconForGameObject(playField:GetObject('crab'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/crab_icon.png');
	SetIconForGameObject(playField:GetObject('dragon1'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/dragon_icon.png');
	SetIconForGameObject(playField:GetObject('fan'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/fan_icon.png');
	SetIconForGameObject(playField:GetObject('flowers1'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/flowers_icon.png');
	SetIconForGameObject(playField:GetObject('fork'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/fork_icon.png');
	SetIconForGameObject(playField:GetObject('frame'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/frame_icon.png');
	SetIconForGameObject(playField:GetObject('hare'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/hare_icon.png');
	SetIconForGameObject(playField:GetObject('hat1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/hat_icon.png');
	SetIconForGameObject(playField:GetObject('jackOLantern'),'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/jackOLantern_icon.png');
	SetIconForGameObject(playField:GetObject('knife'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/knife_icon.png');
	SetIconForGameObject(playField:GetObject('letter'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/letter_icon.png');
	SetIconForGameObject(playField:GetObject('mask'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/mask_icon.png');
	SetIconForGameObject(playField:GetObject('note'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/note_icon.png');
	SetIconForGameObject(playField:GetObject('plant1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/plant_icon.png');
	SetIconForGameObject(playField:GetObject('rollingPin'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/rollingPin_icon.png');
	SetIconForGameObject(playField:GetObject('rose1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/rose_icon.png');
	SetIconForGameObject(playField:GetObject('sausage'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/sausage_icon.png');
	SetIconForGameObject(playField:GetObject('shrimp'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/shrimp_icon.png');
	SetIconForGameObject(playField:GetObject('ship1'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/ship_icon.png');
	SetIconForGameObject(playField:GetObject('star'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/star_icon.png');
	SetIconForGameObject(playField:GetObject('tankard'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/tankard_icon.png');
	SetIconForGameObject(playField:GetObject('teapot'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/teapot_icon.png');
	SetIconForGameObject(playField:GetObject('teaStrainer'),'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/teaStrainer_icon.png');
	SetIconForGameObject(playField:GetObject('tomato1'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/tomato_icon.png');
	SetIconForGameObject(playField:GetObject('trumpet'),	'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/trumpet_icon.png');
	SetIconForGameObject(playField:GetObject('twig'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/twig_icon.png');
	SetIconForGameObject(playField:GetObject('vessel'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/vessel_icon.png');
	SetIconForGameObject(playField:GetObject('watch'),		'data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/watch_icon.png');

	SetIconForGameObject(playField:GetObject('Key'), 		'data/Texture/Scenes/09_AtAbandonedShip/Items/Key_icon.png');
	SetIconForGameObject(playField:GetObject('Crowbar'),   	'data/Texture/Scenes/09_AtAbandonedShip/Items/Crowbar_icon.png');
	SetIconForGameObject(playField:GetObject('YellowFlask'),'data/Texture/Scenes/09_AtAbandonedShip/Items/YellowFlask_icon.png');
	SetIconForGameObject(playField:GetObject('BlueFlask'),  'data/Texture/Scenes/09_AtAbandonedShip/Items/BlueFlask_icon.png');
	SetIconForGameObject(playField:GetObject('GreenFlask'), 'data/Texture/Scenes/09_AtAbandonedShip/Items/GreenFlask_icon.png');
	SetIconForGameObject(playField:GetObject('Valve'),		'data/Texture/Scenes/09_AtAbandonedShip/Items/Valve_icon.png');

if (restoringFromSave == false) then
	gameState.shutterInitX = playField:GetObject('shutter'):GetX();
	gameState.shutterShift = 100.0;

	gameState.keyUsed = false;
	gameState.crowbarUsed = false;
	gameState.valveOnPlace = false;
	gameState.blueFlaskUsed = false;
	gameState.greenFlaskUsed = false;
	gameState.yellowFlaskUsed = false;

	gameState.valveIsTurning = false;
	gameState.blueValveIsTurning = false;
	gameState.blueValveTurned = false;
	gameState.greenValveIsTurning = false;
	gameState.greenValveTurned = false;
	gameState.cupboardDoorOpened = false;
    gameState.reactionDone = false;

	gameState.allToolsApplied = false;
	gameState.levelCompleted = false;
end

	AssignActiveZonesGlow({function() return gameState.keyUsed;end,				'actZoneChest',		'Key_ghost'},
						  {function() return gameState.crowbarUsed; end,		'actZoneHatchLock',	'Crowbar_ghost'},
					      {function() return gameState.valveOnPlace; end,		'actZoneRedValve',	'Valve_ghost'},
						  {function() return gameState.blueFlaskUsed; end,		'actZoneFlask',		'BlueFlask_ghost'},
						  {function() return gameState.greenFlaskUsed;end,		'actZoneFlask',		'GreenFlask_ghost'},
						  {function() return gameState.yellowFlaskUsed; end,	'actZoneFurnace',	'YellowFlask_ghost'});

    ApplyLevelDump(restoringFromSave);
	SetZoneVisible(RootZoomZone, true, false);

	auxSceneInit(restoringFromSave);
	auxProcessToolObjectStateAnCursorType();
end

------------------------------------------------------------------------------
--
function OnSceneFree()
    FreeData();
    StopSound('L09S10');
    StopSound('L09S11');
    StopSound('L09S12');
    StopSound('L09S13');
    StopSound('L09S14');
    StopSound('L09S15');
end

--// Local auxiliary functions - - - - - - - - - - - - - - - - - - - - - - - -
function auxSceneInit(restoringFromSave)
    local initialActions = function()
		ShowLevelIntro(09);
    end
	local regularActions = function()
		if (gameState.valveOnPlace) then
			PlaySound('L09S10', true);
		else
			StopSound('L09S10');
		end
--		gameState.customCursors['actZoneCupboard'] = {'CursorZoom'};
--		gameState.customCursors['actZoneChest'] = {'CursorZoom'};
--		gameState.customCursors['actZoneHold'] = {'CursorZoom'};

		auxStopAnimation('bigGreenVesselFluidAnimation', HGEANIM_FWD + HGEANIM_LOOP);
		auxStopAnimation('blueBulbFillingAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('greenBulbFillingAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('blueValveAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('greenValveAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('potFireStart', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('potFireCyclic', HGEANIM_FWD + HGEANIM_LOOP);
		auxStopAnimation('reactionAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
		auxStopAnimation('Valve_onPlace', HGEANIM_FWD + HGEANIM_NOLOOP);

		playField:GetObject('reactionAnimation'):GetAnimation():SetFrame(playField:GetObject('reactionAnimation'):GetAnimation():GetFrames() - 1);
	    playField:IgnoreOnTestPoint('reactionAnimation');

		auxCreateAtAbandonedShipAnimations(playField:GetObject('RootBackground'));
		auxPlayAtAbandonedShipAnimation('Lemur');
--		auxPlayAtAbandonedShipAnimation('Fly1');
--		auxPlayAtAbandonedShipAnimation('Fly2');
--		auxPlayAtAbandonedShipAnimation('Fly3');
--		auxPlayAtAbandonedShipAnimation('Spider');
		auxPlayAtAbandonedShipAnimation('EnvTop');

		gameState.nextAnimationDelay = 0;

		gameState.valveIsTurning = false;
		gameState.blueValveIsTurning = false;
		gameState.greenValveIsTurning = false;
	end

    if (restoringFromSave == false) then
        initialActions();
	else
    end	
    regularActions();

	if (gameState.levelCompleted == true) then
		gameState.levelCompleted = false;
		auxTestLevelCompleteCondition();
	end
end

function auxProcessToolObjectStateAnCursorType()
    assert(	gameState.keyUsed ~= nil and
			gameState.crowbarUsed ~= nil and
			gameState.valveOnPlace ~= nil and
			gameState.blueFlaskUsed ~= nil and
			gameState.greenFlaskUsed ~= nil and
			gameState.yellowFlaskUsed ~= nil and
			gameState.cupboardDoorOpened ~= nil);

	if (gameState.cupboardDoorOpened == true) then
		RootZoomZone.UnhideObject('cupboardDoorOpened');
		if (playField:HasObject('Key') == true) then
    		gameState.lockedObjects['actZoneCupboard'] = nil;
		    gameState.customCursors['actZoneCupboard'] = {'CursorZoom'};
		end
	else
		RootZoomZone.HideObject('cupboardDoorOpened');
		gameState.lockedObjects['actZoneCupboard'] = true;
		gameState.customCursors['actZoneCupboard'] = {'CursorArms'};
	end

	if (gameState.keyUsed == true) then
		if (playField:HasObject('Crowbar') == true) then
    		gameState.lockedObjects['actZoneChest'] = nil;
		    gameState.customCursors['actZoneChest'] = {'CursorZoom'};
	    end
	else
  		gameState.lockedObjects['actZoneChest'] = true;
    	gameState.customCursors['actZoneChest'] = {'CursorArms'};
	end

	if (gameState.crowbarUsed == true) then
		RootZoomZone.HideObject('actZoneHatchLock');
		RootZoomZone.HideObject('hatchClosed');
		RootZoomZone.UnhideObject('hatchOpened');
		gameState.lockedObjects['actZoneHold'] = nil;
		gameState.customCursors['actZoneHold'] = {'CursorNavigation', 90.0/180.0 * M_PI};
		gameState.customCursors['actZoneHatchLock'] = nil;
	else
		RootZoomZone.UnhideObject('actZoneHatchLock');
		RootZoomZone.UnhideObject('hatchClosed');
		RootZoomZone.HideObject('hatchOpened');
		gameState.lockedObjects['actZoneHold'] = true;
		gameState.customCursors['actZoneHold'] = nil;
		gameState.customCursors['actZoneHatchLock'] = {'CursorArms'};
	end

	if (gameState.valveIsTurning == false) then
		if (gameState.valveOnPlace == true) then
			HoldZoomZone.UnhideObject('Valve_onPlace');
			HoldZoomZone.UnhideObject('potFireCyclic');
			gameState.customCursors['actZoneRedValve'] = nil;
			playField:GetObject('bigGreenVesselFluidAnimation'):GetAnimation():Play();
			playField:GetObject('potFireCyclic'):GetAnimation():Play();
			playField:GetObject('shutter'):SetX(gameState.shutterInitX + gameState.shutterShift);
		else
			HoldZoomZone.HideObject('Valve_onPlace');
			HoldZoomZone.HideObject('potFireCyclic');
			gameState.customCursors['actZoneRedValve'] = {'CursorArms'};
			playField:GetObject('bigGreenVesselFluidAnimation'):GetAnimation():Stop();
			playField:GetObject('potFireCyclic'):GetAnimation():Stop();
			playField:GetObject('shutter'):SetX(gameState.shutterInitX);
		end
	end
	playField:GetObject('actZoneRedValve'):SetVisible(not gameState.valveOnPlace);

	if (gameState.blueFlaskUsed == false and gameState.greenFlaskUsed == false) then
		HoldZoomZone.UnhideObject('finalBulbEmpty');
		HoldZoomZone.HideObject('finalBulbBlue');
		HoldZoomZone.HideObject('finalBulbGreen');
		HoldZoomZone.HideObject('YellowFlask');
		gameState.customCursors['actZoneFlask'] = {'CursorArms'};
	elseif (gameState.blueFlaskUsed == true and gameState.greenFlaskUsed == false) then
		HoldZoomZone.HideObject('finalBulbEmpty');
		HoldZoomZone.UnhideObject('finalBulbBlue');
		HoldZoomZone.HideObject('finalBulbGreen');
		HoldZoomZone.HideObject('YellowFlask');
		gameState.customCursors['actZoneFlask'] = {'CursorArms'};
	elseif (gameState.blueFlaskUsed == false and gameState.greenFlaskUsed == true) then
		HoldZoomZone.HideObject('finalBulbEmpty');
		HoldZoomZone.HideObject('finalBulbBlue');
		HoldZoomZone.UnhideObject('finalBulbGreen');
		HoldZoomZone.HideObject('YellowFlask');
		gameState.customCursors['actZoneFlask'] = {'CursorArms'};
	else
		HoldZoomZone.HideObject('finalBulbEmpty');
		HoldZoomZone.HideObject('finalBulbBlue');
		HoldZoomZone.HideObject('finalBulbGreen');
		if (playField:HasObject('YellowFlask') == true) then
    		if (gameState.reactionDone == false) then
    		    gameState.reactionDone = true;
    		    local anim = playField:GetObject('reactionAnimation'):GetAnimation();
    		    anim:Play();
    		end
			HoldZoomZone.UnhideObject('YellowFlask');
		end
		gameState.customCursors['actZoneFlask'] = nil;
	end

	if (gameState.blueValveIsTurning == false) then
		local anim = playField:GetObject('blueValveAnimation'):GetAnimation();
		anim:Stop();
		if (gameState.blueValveTurned == true) then
			anim:SetFrame(anim:GetFrames() - 1);
			HoldZoomZone.HideObject('blueBulbEmpty');
			HoldZoomZone.HideObject('blueBulbFillingAnimation');
			if (playField:HasObject('BlueFlask') == true) then
				HoldZoomZone.UnhideObject('BlueFlask');
			end
			gameState.customCursors['actZoneBlueValve'] = nil;
		else
			anim:SetFrame(0);
			HoldZoomZone.UnhideObject('blueBulbEmpty');
			HoldZoomZone.HideObject('blueBulbFillingAnimation');
			if (playField:HasObject('BlueFlask') == true) then
				HoldZoomZone.HideObject('BlueFlask');
			end
			if (gameState.valveOnPlace == true) then
				gameState.customCursors['actZoneBlueValve'] = {'CursorArms'};
			else
				gameState.customCursors['actZoneBlueValve'] = nil;
			end
		end
	end
	if (gameState.greenValveIsTurning == false) then
		local anim = playField:GetObject('greenValveAnimation'):GetAnimation();
		anim:Stop();
		if (gameState.greenValveTurned == true) then
			anim:SetFrame(anim:GetFrames() - 1);
			HoldZoomZone.HideObject('greenBulbWithWater');
			HoldZoomZone.HideObject('greenBulbFillingAnimation');
			if (playField:HasObject('GreenFlask') == true) then
				HoldZoomZone.UnhideObject('GreenFlask');
			end
			gameState.customCursors['actZoneGreenValve'] = nil;
		else
			anim:SetFrame(0);
			HoldZoomZone.UnhideObject('greenBulbWithWater');
			HoldZoomZone.HideObject('greenBulbFillingAnimation');
			if (playField:HasObject('GreenFlask') == true) then
				HoldZoomZone.HideObject('GreenFlask');
			end
			if (gameState.valveOnPlace == true) then
				gameState.customCursors['actZoneGreenValve'] = {'CursorArms'};
			else
				gameState.customCursors['actZoneGreenValve'] = nil;
			end
		end
	end

	if (gameState.yellowFlaskUsed == true) then
		gameState.customCursors['actZoneFurnace'] = nil;
	else
		gameState.customCursors['actZoneFurnace'] = {'CursorArms'};
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxDisableSateFlag(flagName)
	assert(gameState[flagName] ~= nil);
	gameState[flagName] = false;
end
function auxPlayAnimationAndSetFlag(animationName, doneFlagName, blockingFlagName)
	local animation = playField:GetObject(animationName):GetAnimation();
	local duration = auxGetAnimationDuration(animation);

	assert(gameState[doneFlagName] ~= nil and gameState[blockingFlagName] ~= nil);
	gameState[doneFlagName] = true;
	gameState[blockingFlagName] = true;
	TimerDoString('auxDisableSateFlag(\''..blockingFlagName..'\');', duration, playField:GetTimer());
	animation:Play();
end
function auxShowBlueFlask()
    playField:GetObject('blueBulbFillingAnimation'):GetAnimation():Stop();
    HoldZoomZone.HideObject('blueBulbFillingAnimation');
	HoldZoomZone.UnhideObject('BlueFlask');
	gameState.customCursors['actZoneBlueValve'] = nil;
end
function auxTurnBlueValve()
	auxPlayAnimationAndSetFlag('blueValveAnimation', 'blueValveTurned', 'blueValveIsTurning');
	local duration = auxGetAnimationDuration(playField:GetObject('blueBulbFillingAnimation'):GetAnimation());

	HoldZoomZone.HideObject('blueBulbEmpty');
	HoldZoomZone.UnhideObject('blueBulbFillingAnimation');
	HoldZoomZone.HideObject('BlueFlask');
	playField:GetObject('blueBulbFillingAnimation'):GetAnimation():Play();
	TimerDoString('auxShowBlueFlask();', duration, playField:GetTimer());
end
function auxShowGreenFlask()
    playField:GetObject('greenBulbFillingAnimation'):GetAnimation():Stop();
    HoldZoomZone.HideObject('greenBulbFillingAnimation');
    HoldZoomZone.UnhideObject('GreenFlask');
	gameState.customCursors['actZoneGreenValve'] = nil;
end
function auxTurnGreenValve()
	auxPlayAnimationAndSetFlag('greenValveAnimation', 'greenValveTurned', 'greenValveIsTurning');
	local duration = auxGetAnimationDuration(playField:GetObject('greenBulbFillingAnimation'):GetAnimation());

	HoldZoomZone.HideObject('greenBulbWithWater');
	HoldZoomZone.UnhideObject('greenBulbFillingAnimation');
	HoldZoomZone.HideObject('GreenFlask');
	playField:GetObject('greenBulbFillingAnimation'):GetAnimation():Play();
	TimerDoString('auxShowGreenFlask();', duration, playField:GetTimer());
end
function auxPlayCyclicPotFire()
    playField:GetObject('potFireStart'):GetAnimation():Stop();
    playField:GetObject('potFireCyclic'):GetAnimation():Play();
	playField:GetObject('bigGreenVesselFluidAnimation'):GetAnimation():Play();
	HoldZoomZone.HideObject('potFireStart');
	HoldZoomZone.UnhideObject('potFireCyclic');
end
function auxTurnValve()
	auxPlayAnimationAndSetFlag('Valve_onPlace', 'valveOnPlace', 'valveIsTurning');
	local duration = auxGetAnimationDuration(playField:GetObject('potFireStart'):GetAnimation());

	HoldZoomZone.UnhideObject('Valve_onPlace');
	HoldZoomZone.UnhideObject('potFireStart');
	HoldZoomZone.UnhideObject('bigGreenVesselFluidAnimation');
	playField:GetObject('potFireStart'):GetAnimation():Play();
	TimerDoString('auxPlayCyclicPotFire();', duration, playField:GetTimer());
	playField:GetObject('shutter'):Move(gameState.shutterShift, 0.0, duration);
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxUpdatePeriodicAnimations(dt)
	if (gameState.nextAnimationDelay == 0.0) then
		local animations = {};

		for compositionName, composition in pairs(atAbandonedShipCompositions) do
			if (composition:IsCyclic() == false) then
				table.insert(animations, composition:GetName());
			end
		end

		local animName = animations[math.random(1, table.getn(animations))];
		if (animName ~= nil) then
			local composition = auxGetAtAbandonedShipAnimation(animName);

            if (composition ~= nil and composition:IsPaused() == true) then
				auxPlayAtAbandonedShipAnimation(animName);
			end
		end
		gameState.nextAnimationDelay = math.random(4, 8);
	else
		gameState.nextAnimationDelay = (gameState.nextAnimationDelay - dt >= 0.0 and gameState.nextAnimationDelay - dt or 0.0);
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxTestLevelCompleteCondition()
	if (gameState.allToolsApplied == true and
		gameState.levelCompleted == false and
		playField:GetLevelScreen():HasUncompletedTask() == false) then

		gameState.levelCompleted = true;
		TimerDoString('OnWin();', 2.0, playField:GetTimer());
	end
end
-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

------------------------------------------------------------------------------
--
function OnDialogButtonPress(name, param)
end

------------------------------------------------------------------------------
--
function OnUpdate(dt)
    DefaultOnUpdate(dt);

	auxUpdatePeriodicAnimations(dt);
end

------------------------------------------------------------------------------
--
function OnWin()
	DefaultOnWin();
end

------------------------------------------------------------------------------
--
function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object);
	ActivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object);
    DeactivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseDown(object)
    local objectName = object:GetName();
    local isWrongClick = true;

	assert(gameState.activeZone ~= nil and gameState.locker:GetNReferences() > 0);

    if (gameState.lockedObjects[objectName] ~= true) then
        if (gameState.activeZone.HasObject(objectName)) then
            isWrongClick = DefaultOnZoomZoneActiveObjectClick(objectName);

			--// ...
			if (objectName == 'actZoneBlueValve' and gameState.blueValveTurned == false) then
				if (gameState.valveOnPlace == true) then
					gameState.blueValveTurned = true;
					auxTurnBlueValve();
		            PlaySound('L09S11');
					auxProcessToolObjectStateAnCursorType();
	                isWrongClick = false;
				end
			end
			if (objectName == 'actZoneGreenValve' and gameState.greenValveTurned == false) then
				if (gameState.valveOnPlace == true) then
					gameState.greenValveTurned = true;
					auxTurnGreenValve();
		            PlaySound('L09S11');
					auxProcessToolObjectStateAnCursorType();
	                isWrongClick = false;
				end
			end


	        if (isWrongClick == true and playField:GetLevelScreen():IsTaskObject(objectName)) then
	            auxAttachInPlace(object, playField);
				object:ResetClippingRect();
				--// remove object from zoom-zone which contents it
				assert(gameState.activeZone.objects[objectName] ~= nil);
				gameState.activeZone.objects[objectName] = nil;

                playField:OnObjectFound(object);
                isWrongClick = false;
            end
        else
--			assert(gameState.activeZone ~= RootZoomZone and 
--				   gameState.locker:GetNReferences() > 1 and
--				   'Attempt to close root scene - you have clicked on an object which hasn`t been added to any zoom-zone');
            if (gameState.activeZone ~= RootZoomZone and gameState.locker:GetNReferences() > 1) then
                if (gameState.lockedObjects[gameState.activeZone.activeObject] == nil) then
                    SetZoneVisible(gameState.activeZone, false);
                end
            else
                Log('Lua: OnObjectMouseDown(\''..objectName..'\'): Was made click on object which hasn`t been attached to any zoom-zone');
            end
        end --// if (gameState.activeZone.HasObject(...
    end --// if (gameState.lockedObjects[...

	if (objectName == 'actZoneCupboard' and gameState.cupboardDoorOpened == false) then
		gameState.cupboardDoorOpened = true;
		PlaySound('L09S14');
		auxProcessToolObjectStateAnCursorType();
	end

	--// Tips - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (objectName == 'actZoneChest' and gameState.keyUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_KEY_TIP1'));
	elseif ((objectName == 'actZoneRedValve' or objectName == 'Valve_onPlace') and gameState.valveOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_RED_VALVE_TIP1'));
	elseif (objectName == 'actZoneHatchLock' and gameState.crowbarUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_CROWBAR_TIP1'));
	elseif ((objectName == 'actZoneBlueValve' and gameState.blueValveTurned == false) or
			(objectName == 'actZoneGreenValve' and gameState.greenValveTurned == false)) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_VALVE_TIP1'));
	elseif (objectName == 'actZoneFlask' and (gameState.blueFlaskUsed == false or gameState.greenFlaskUsed == false)) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_FLASK_TIP1'));
	elseif (objectName == 'actZoneFurnace' and gameState.yellowFlaskUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL9_YELLOW_FLASK_TIP1'));
	else
	    playField:GetLevelScreen():HideTip();
	end
	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

    DefaultOnObjectClick(object, isWrongClick, not playField:GetLevelScreen():IsTipShown());
    DefaultOnObjectMouseEnter(object);

	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (gameState.valveOnPlace == true) then
	    local volume = (gameState.activeZone == HoldZoomZone and 1.0 or 0.25);
        SetSoundVolume('L09S10', volume);
	end
end

------------------------------------------------------------------------------
--
function OnObjectMouseUp(object)
end

------------------------------------------------------------------------------
--
function OnObjectFound(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    --// automatic zoom-zone hiding and blocking
	do
	    assert(gameState.activeZone ~= nil);
	    if ((gameState.activeZone == CupboardZoomZone and objectName == 'Key') or
			(gameState.activeZone == ChestZoomZone and objectName == 'Crowbar')) then
			CloseAndBlockActiveZone();
	    end
	end
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	local objectMustBeHighlighted = DefaultOnObjectFound(object);
	return objectMustBeHighlighted;
end

------------------------------------------------------------------------------
--
function OnToolFound(tool)
end

------------------------------------------------------------------------------
--
function CanToolBeApplied(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local canToolBeApplied = true;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	canToolBeApplied = DefaultCanToolBeApplied(tool, object);
	return canToolBeApplied or (toolName == 'Key' and objName == gameState.toolMap[toolName]);
end

------------------------------------------------------------------------------
--
function OnToolApply(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local toolApplied = false;

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'Key' and objName == gameState.toolMap[toolName]) then
    	gameState.keyUsed = true;
		toolApplied = true;
	end
	if (toolName == 'Crowbar' and objName == gameState.toolMap[toolName]) then
    	gameState.crowbarUsed = true;
		toolApplied = true;
        PlaySound('L09S12');
	end
	if (toolName == 'Valve' and objName == gameState.toolMap[toolName]) then
    	gameState.valveOnPlace = true;
		toolApplied = true;
		auxTurnValve();
		PlaySound('L09S10', true);
		PlaySound('L09S15');
	end
	if (toolName == 'BlueFlask' and objName == gameState.toolMap[toolName]) then
    	gameState.blueFlaskUsed = true;
		toolApplied = true;
	end
	if (toolName == 'GreenFlask' and objName == gameState.toolMap[toolName]) then
    	gameState.greenFlaskUsed = true;
		toolApplied = true;
	end
	if (toolName == 'YellowFlask' and objName == gameState.toolMap[toolName]) then
    	gameState.yellowFlaskUsed = true;
		toolApplied = true;
        PlaySound('L09S13');
	end
	if (not toolApplied) then
	    playField:GetLevelScreen():ShowTip(GetTextString('WRONG_ITEM_APPLIED_TIP1'),
										   GetTextString('WRONG_ITEM_APPLIED_TIP2'));
	end

	if (gameState.keyUsed == true and        
		gameState.crowbarUsed == true and    
		gameState.valveOnPlace == true and   
		gameState.blueFlaskUsed == true and  
		gameState.greenFlaskUsed == true and 
		gameState.yellowFlaskUsed == true and
		gameState.allToolsApplied == false) then

		gameState.allToolsApplied = true;
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
		    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
											   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
		else
			auxTestLevelCompleteCondition();
		end
	end

	auxProcessToolObjectStateAnCursorType();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    DefaultOnObjectMouseEnter(object);
	if (toolApplied == true) then
	    DeactivateActiveZoneDeactivatedGlow(object:GetName());
	end
	return toolApplied;
end

------------------------------------------------------------------------------
--
function OnObjectReachPanel(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	auxTestLevelCompleteCondition();
end

------------------------------------------------------------------------------
--
function OnButtonPress(zoneName)
    DefaultOnButtonPress(zoneName);
end

------------------------------------------------------------------------------
--
function OnMouseMove(prevMousePos, currentMousePos)
end

------------------------------------------------------------------------------
--
function OnSetTool(tool)
end

------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RootBackground',anim,512,384,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneHatchLock',anim,561,625,105,0,1,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/books.png',0,0,136,97,1,0)
	anim:SetHotSpot(68,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('books',anim,951,533,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/bottle.png',0,0,140,213,1,0)
	anim:SetHotSpot(70,106)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bottle',anim,961,665,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/box.png',0,0,80,73,1,0)
	anim:SetHotSpot(40,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('box',anim,877,394,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/camomile.png',0,0,45,50,1,0)
	anim:SetHotSpot(22,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('camomile',anim,563,445,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/candle.png',0,0,39,86,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('candle',anim,408,479,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/chair.png',0,0,165,271,1,0)
	anim:SetHotSpot(82,135)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('chair',anim,945,552,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/cup.png',0,0,50,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cup',anim,945,409,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/digit.png',0,0,29,39,1,0)
	anim:SetHotSpot(14,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('digit',anim,912,334,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/dragon.png',0,0,223,154,1,0)
	anim:SetHotSpot(111,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dragon',anim,162,606,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/drawing.png',0,0,70,90,1,0)
	anim:SetHotSpot(35,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('drawing',anim,717,335,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/easel.png',0,0,195,291,1,0)
	anim:SetHotSpot(97,145)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('easel',anim,752,394,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/eye.png',0,0,53,37,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('eye',anim,354,342,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/feather.png',0,0,79,155,1,0)
	anim:SetHotSpot(39,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('feather',anim,970,466,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/flowers.png',0,0,131,86,1,0)
	anim:SetHotSpot(65,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('flowers',anim,575,443,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/garlic.png',0,0,52,126,1,0)
	anim:SetHotSpot(26,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('garlic',anim,404,199,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/gloves.png',0,0,82,59,1,0)
	anim:SetHotSpot(41,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('gloves',anim,941,570,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/grapes.png',0,0,46,62,1,0)
	anim:SetHotSpot(23,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('grapes',anim,1007,85,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/handbell.png',0,0,48,60,1,0)
	anim:SetHotSpot(24,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('handbell',anim,542,170,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/hat.png',0,0,81,58,1,0)
	anim:SetHotSpot(40,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hat',anim,547,221,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/heart.png',0,0,30,28,1,0)
	anim:SetHotSpot(15,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('heart',anim,698,375,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/inkpot.png',0,0,78,84,1,0)
	anim:SetHotSpot(39,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('inkpot',anim,390,685,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/largeFan.png',0,0,101,119,1,0)
	anim:SetHotSpot(50,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('largeFan',anim,733,242,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/leaf.png',0,0,62,46,1,0)
	anim:SetHotSpot(31,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('leaf',anim,722,704,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/lemon.png',0,0,42,36,1,0)
	anim:SetHotSpot(21,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lemon',anim,692,493,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/paintBrush.png',0,0,67,34,1,0)
	anim:SetHotSpot(33,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('paintBrush',anim,715,505,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/palette.png',0,0,121,51,1,0)
	anim:SetHotSpot(60,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('palette',anim,714,502,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/plant.png',0,0,150,168,1,0)
	anim:SetHotSpot(75,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('plant',anim,767,195,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/rabbit.png',0,0,67,69,1,0)
	anim:SetHotSpot(33,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rabbit',anim,469,452,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/rose.png',0,0,44,51,1,0)
	anim:SetHotSpot(22,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rose',anim,208,269,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seashell1.png',0,0,66,53,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('seashell1',anim,396,421,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seashell.png',0,0,66,60,1,0)
	anim:SetHotSpot(33,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('seashell',anim,480,520,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/seaStar.png',0,0,66,61,1,0)
	anim:SetHotSpot(33,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('seaStar',anim,307,170,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/ship.png',0,0,111,105,1,0)
	anim:SetHotSpot(55,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ship',anim,461,427,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/skull.png',0,0,61,57,1,0)
	anim:SetHotSpot(30,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('skull',anim,169,178,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/socks.png',0,0,95,82,1,0)
	anim:SetHotSpot(47,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('socks',anim,825,132,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/suitcase.png',0,0,176,140,1,0)
	anim:SetHotSpot(88,70)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('suitcase',anim,919,512,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/tassel.png',0,0,44,89,1,0)
	anim:SetHotSpot(22,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tassel',anim,699,91,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/telescope.png',0,0,141,148,1,0)
	anim:SetHotSpot(70,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('telescope',anim,864,583,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/tomato.png',0,0,39,44,1,0)
	anim:SetHotSpot(19,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tomato',anim,526,539,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/umbrella.png',0,0,140,138,1,0)
	anim:SetHotSpot(70,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('umbrella',anim,750,623,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Misc/waterCan.png',0,0,148,104,1,0)
	anim:SetHotSpot(74,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('waterCan',anim,383,461,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/cupboardDoorOpened.png',0,0,168,225,1,0)
	anim:SetHotSpot(84,112)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cupboardDoorOpened',anim,813,440,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/hatchClosed.png',0,0,444,202,1,0)
	anim:SetHotSpot(222,101)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hatchClosed',anim,450,627,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/hatchOpened.png',0,0,269,422,1,0)
	anim:SetHotSpot(134,211)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('hatchOpened',anim,223,483,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/desk.png',0,0,126,94,1,0)
	anim:SetHotSpot(63,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('desk',anim,720,527,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/LayerOverColumn.png',0,0,77,188,1,0)
	anim:SetHotSpot(38,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverColumn',anim,909,362,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Layers/LayerOverTableLeg.png',0,0,77,188,1,0)
	anim:SetHotSpot(38,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverTableLeg',anim,910,502,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneChest',anim,186,452,101,0,1.3,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Chest/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomChestBackground',anim,543,328,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Crowbar.png',0,0,120,246,1,0)
	anim:SetHotSpot(60,123)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Crowbar',anim,607,386,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Chest/Layers/LayerOverCrowbar.png',0,0,141,142,1,0)
	anim:SetHotSpot(70,71)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverCrowbar',anim,589,466,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneCupboard',anim,816,454,102,0,0.6,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Cupboard/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomCupboardBackground',anim,605,321,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Key.png',0,0,177,55,1,0)
	anim:SetHotSpot(88,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Key',anim,588,351,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneHold',anim,452,633,100,0,3,0.75)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('navigationZoneHold',anim,52,187,205,0,3,6)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ZoomHoldBackground',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/bells.png',0,0,52,96,1,0)
	anim:SetHotSpot(26,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bells',anim,301,367,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/books.png',0,0,177,76,1,0)
	anim:SetHotSpot(88,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('books1',anim,242,653,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/bowTie.png',0,0,56,40,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bowTie',anim,966,387,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/box.png',0,0,185,136,1,0)
	anim:SetHotSpot(82,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('box1',anim,669,674,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/brooch.png',0,0,56,45,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('brooch',anim,511,729,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/broom.png',0,0,94,195,1,0)
	anim:SetHotSpot(47,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('broom',anim,844,501,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/carrot.png',0,0,55,93,1,0)
	anim:SetHotSpot(27,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('carrot',anim,669,58,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/coffeePot.png',0,0,77,98,1,0)
	anim:SetHotSpot(38,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('coffeePot',anim,706,724,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/crab.png',0,0,57,62,1,0)
	anim:SetHotSpot(28,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('crab',anim,850,307,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/dragon.png',0,0,121,107,1,0)
	anim:SetHotSpot(60,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dragon1',anim,332,296,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/fan.png',0,0,132,80,1,0)
	anim:SetHotSpot(66,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fan',anim,290,737,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/flowers.png',0,0,98,174,1,0)
	anim:SetHotSpot(49,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('flowers1',anim,858,570,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/fork.png',0,0,88,36,1,0)
	anim:SetHotSpot(44,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fork',anim,350,461,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/frame.png',0,0,86,105,1,0)
	anim:SetHotSpot(43,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('frame',anim,777,227,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/hare.png',0,0,80,120,1,0)
	anim:SetHotSpot(40,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hare',anim,401,714,206,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/hat.png',0,0,121,69,1,0)
	anim:SetHotSpot(60,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hat1',anim,944,630,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/jackOLantern.png',0,0,72,80,1,0)
	anim:SetHotSpot(36,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('jackOLantern',anim,147,533,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/knife.png',0,0,101,89,1,0)
	anim:SetHotSpot(50,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('knife',anim,341,717,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/letter.png',0,0,49,67,1,0)
	anim:SetHotSpot(24,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('letter',anim,233,551,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/mask.png',0,0,55,74,1,0)
	anim:SetHotSpot(27,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mask',anim,428,255,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/note.png',0,0,40,59,1,0)
	anim:SetHotSpot(20,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('note',anim,521,296,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/plant.png',0,0,173,96,1,0)
	anim:SetHotSpot(86,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('plant1',anim,568,465,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/rollingPin.png',0,0,148,34,1,0)
	anim:SetHotSpot(74,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rollingPin',anim,498,497,206,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/rose.png',0,0,80,109,1,0)
	anim:SetHotSpot(40,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rose1',anim,576,412,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/sausage.png',0,0,102,52,1,0)
	anim:SetHotSpot(51,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('sausage',anim,322,653,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/shrimp.png',0,0,59,38,1,0)
	anim:SetHotSpot(29,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('shrimp',anim,378,339,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/ship.png',0,0,103,191,1,0)
	anim:SetHotSpot(51,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ship1',anim,960,207,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/star.png',0,0,54,69,1,0)
	anim:SetHotSpot(27,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('star',anim,381,148,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/tankard.png',0,0,73,108,1,0)
	anim:SetHotSpot(36,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tankard',anim,517,677,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/teapot.png',0,0,121,89,1,0)
	anim:SetHotSpot(60,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('teapot',anim,425,673,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/teaStrainer.png',0,0,78,31,1,0)
	anim:SetHotSpot(39,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('teaStrainer',anim,432,330,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/tomato.png',0,0,43,44,1,0)
	anim:SetHotSpot(21,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tomato1',anim,594,491,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/trumpet.png',0,0,204,198,1,0)
	anim:SetHotSpot(102,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('trumpet',anim,958,207,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/twig.png',0,0,147,101,1,0)
	anim:SetHotSpot(73,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('twig',anim,549,90,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/vessel.png',0,0,144,255,1,0)
	anim:SetHotSpot(72,127)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('vessel',anim,777,646,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Items/watch.png',0,0,75,84,1,0)
	anim:SetHotSpot(37,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('watch',anim,265,140,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverBroom.png',0,0,139,126,1,0)
	anim:SetHotSpot(69,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBroom',anim,820,594,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverDragon.png',0,0,48,40,1,0)
	anim:SetHotSpot(24,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverDragon',anim,316,332,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverFlask.png',0,0,136,62,1,0)
	anim:SetHotSpot(68,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFlask',anim,424,477,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverFrame.png',0,0,42,152,1,0)
	anim:SetHotSpot(21,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFrame',anim,769,221,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverShip.png',0,0,99,104,1,0)
	anim:SetHotSpot(49,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverShip',anim,974,265,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/LayerOverValve.png',0,0,60,89,1,0)
	anim:SetHotSpot(30,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverValve',anim,540,202,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/shutter.png',0,0,154,205,1,0)
	anim:SetHotSpot(77,102)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('shutter',anim,971,539,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/bigGreenVesselFluidAnimation.png',0,0,178,124,15,14)
	anim:SetHotSpot(89,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bigGreenVesselFluidAnimation',anim,713,478,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/blueBulbEmpty.png',0,0,42,51,1,0)
	anim:SetHotSpot(21,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('blueBulbEmpty',anim,436,444,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/blueBulbFillingAnimation.png',0,0,42,51,12,12)
	anim:SetHotSpot(21,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('blueBulbFillingAnimation',anim,436,444,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/BlueFlask.png',0,0,42,51,1,0)
	anim:SetHotSpot(21,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('BlueFlask',anim,436,444,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/GreenFlask.png',0,0,45,62,1,0)
	anim:SetHotSpot(22,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GreenFlask',anim,496,635,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/greenBulbWithWater.png',0,0,45,62,1,0)
	anim:SetHotSpot(22,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('greenBulbWithWater',anim,496,635,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/greenBulbFillingAnimation.png',0,0,45,62,9,10)
	anim:SetHotSpot(22,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('greenBulbFillingAnimation',anim,496,635,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/blueValveAnimation.png',0,0,21,14,5,8)
	anim:SetHotSpot(10,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('blueValveAnimation',anim,459,372,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/greenValveAnimation.png',0,0,25,22,5,8)
	anim:SetHotSpot(12,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('greenValveAnimation',anim,529,577,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/potFireStart.png',0,0,297,124,5,8)
	anim:SetHotSpot(148,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('potFireStart',anim,718,653,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/potFireCyclic.png',0,0,297,124,8,10)
	anim:SetHotSpot(148,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('potFireCyclic',anim,718,653,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/reactionAnimation.png',0,0,74,114,16,12)
	anim:SetHotSpot(37,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('reactionAnimation',anim,575,685,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Valve.png',0,0,71,67,1,0)
	anim:SetHotSpot(35,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Valve',anim,557,201,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Valve_onPlace.png',0,0,95,84,9,12)
	anim:SetHotSpot(47,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Valve_onPlace',anim,941,723,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/YellowFlask.png',0,0,74,114,1,0)
	anim:SetHotSpot(37,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('YellowFlask',anim,575,683,209,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/finalBulbEmpty.png',0,0,74,114,1,0)
	anim:SetHotSpot(37,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('finalBulbEmpty',anim,575,684,206,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/finalBulbBlue.png',0,0,74,114,1,0)
	anim:SetHotSpot(37,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('finalBulbBlue',anim,575,683,207,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Zones/Hold/Layers/finalBulbGreen.png',0,0,74,114,1,0)
	anim:SetHotSpot(37,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('finalBulbGreen',anim,575,683,207,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneFlask',anim,574,684,208,0,0.8,1.1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBlueValve',anim,460,374,204,0,0.45,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneGreenValve',anim,530,571,204,0,0.45,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneRedValve',anim,938,714,205,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneFurnace',anim,983,544,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/BlueFlask_ghost.png',0,0,75,80,1,0)
	anim:SetHotSpot(37,40)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('BlueFlask_ghost',anim,529,635,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/GreenFlask_ghost.png',0,0,79,86,1,0)
	anim:SetHotSpot(39,43)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GreenFlask_ghost',anim,618,634,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Valve_ghost.png',0,0,120,100,1,0)
	anim:SetHotSpot(60,50)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Valve_ghost',anim,945,722,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/YellowFlask_ghost.png',0,0,107,147,1,0)
	anim:SetHotSpot(53,53)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('YellowFlask_ghost',anim,961,499,210,50,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Crowbar_ghost.png',0,0,219,207,1,0)
	anim:SetHotSpot(109,109)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Crowbar_ghost',anim,497,578,110,0,0.6,-0.6)
	local anim = CreateAnimation('data/Texture/Scenes/09_AtAbandonedShip/Items/Key_ghost.png',0,0,121,139,1,0)
	anim:SetHotSpot(60,60)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Key_ghost',anim,264,432,100,75,0.7,0.7)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
